﻿#include <Date.au3>
#include <DateTimeConstants.au3>
#include <GUIConstantsEx.au3>
#include 'GuiCtrlCalendar.au3'


Global $aMonthNames[12] ; enthaelt die Monatsnamen (ausgeschrieben)
For $i = 0 To UBound($aMonthNames) - 1
	$aMonthNames[$i] = _DateToMonth($i + 1, $DMW_LOCALE_LONGNAME)
Next

Global $hGui = GUICreate('GuiCtrlCalendar-Beispiel', 1000, 500)
GUISetBkColor(0x000000, $hGui)

Global $aCalendar1 = _GuiCtrlCalendar_Create(20, 100) ; Kalender erstellen an X-/Y-Position (Breite x Hoehe = 460 x 380 px)
Global $aCalendar2 = _GuiCtrlCalendar_Create(520, 100) ; Kalender erstellen an X-/Y-Position (Breite x Hoehe = 460 x 380 px)

Global Const $DTM_SETFORMAT_ = 0x1032
Global $idDate1 = GUICtrlCreateDate(StringFormat('%04d/%02d/%02d', 2017, 7, 1), 70, 20, 350, 50, $DTS_UPDOWN) ; Date-Control zum eingeben des Datums
GUICtrlSetFont(-1, 28 / $iGuiCtrlCalendar_AppDPI * 96, 800, 0, 'Arial')
GUICtrlSendMsg(-1, $DTM_SETFORMAT_, 0, 'MMMM yyyy')

Global $idDate2 = GUICtrlCreateDate(StringFormat('%04d/%02d/%02d', 2017, 8, 1), 570, 20, 350, 50, $DTS_UPDOWN) ; Date-Control zum eingeben des Datums
GUICtrlSetFont(-1, 28 / $iGuiCtrlCalendar_AppDPI * 96, 800, 0, 'Arial')
GUICtrlSendMsg(-1, $DTM_SETFORMAT_, 0, 'MMMM yyyy')

_GuiCtrlCalendar_SetData($aCalendar1, 7, 2017) ; 7 = Juli 2017 in den 1. Kalender eintragen

_GuiCtrlCalendar_SetData($aCalendar2, 8, 2017) ; 8 = August 2017 in den 2. Kalender eintragen
Global $aDays = _GuiCtrlCalendar_GetDays($aCalendar2) ; das Array mit den Ctrl-IDs zu den Tagen holen
GUISetState()

MsgBox(0, 'Test', 'Einige Tage im 2. Kalender markieren.')

; So kann man einen einzelnen Tag (hier den 3.) im Kalender besonders markieren
; _GuiCtrlCalendar_DrawText(Ctrl-ID, Tag, Fontsize, Fontstyle, Color, BkColor, Tooltip)
_GuiCtrlCalendar_DrawText($aDays[3], 3, 24, 1, 0xDD4444, 0xFFFFFF, 'Geburtstag: Manfred (45)')

; So kann man mehrere Tage (hier vom 14. - 20.) im Kalender besonders markieren
For $i = 14 To 20
	; _GuiCtrlCalendar_DrawText(Ctrl-ID, Tag, Fontsize, Fontstyle, Color, BkColor, Tooltip)
	_GuiCtrlCalendar_DrawText($aDays[$i], $i, 24, 1, 0x22AA22, 0xFFFFFF, 'Urlaub an der Nordsee')
Next

MsgBox(0, 'Test', 'Zweiten Kalender verstecken.')
_GuiCtrlCalendar_SetState($aCalendar2, False) ; zweiten Kalender verstecken

MsgBox(0, 'Test', 'Zweiten Kalender wieder anzeigen')
_GuiCtrlCalendar_SetState($aCalendar2, True) ; zweiten Kalender wieder anzeigen

Global $sDate
While True
	Switch GUIGetMsg()
		Case $GUI_EVENT_CLOSE
			Exit
		Case $idDate1
			$sDate = GUICtrlRead($idDate1) ; das eingegebene Datum auslesen
			For $i = 0 To UBound($aMonthNames) - 1 ; testen, welcher Monat ausgewaehlt wurde
				If StringInStr($sDate, $aMonthNames[$i]) Then ExitLoop
			Next
			_GuiCtrlCalendar_SetData($aCalendar1, $i + 1, StringRight($sDate, 4)) ; Kalender 1 mit dem neuen Monat anzeigen
		Case $idDate2
			$sDate = GUICtrlRead($idDate2) ; das eingegebene Datum auslesen
			For $i = 0 To UBound($aMonthNames) - 1 ; testen, welcher Monat ausgewaehlt wurde
				If StringInStr($sDate, $aMonthNames[$i]) Then ExitLoop
			Next
			_GuiCtrlCalendar_SetData($aCalendar2, $i + 1, StringRight($sDate, 4)) ; Kalender 2 mit dem neuen Monat anzeigen
	EndSwitch
WEnd

